Skip to content
Navigation

Rotate api key

POST
https://api.sureshake.com/v2/api-keys/{id}/rotate

Path parameters

  • id
    string
    required
    minLength: 1

Returns

201

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      minLength: 1
    • name
      string
      required
    • prefix
      string
      required
    • permissions
      array of
      read
      or
      write
      or
      admin
      required
    • usageCount
      number
      required
      minimum: 0
    • createdAt
      string
      required
      format: date-time
    • status
      string
      required
    • key
      string
      required

      The full API key (only shown once during creation)

    • description
      optional
      string
      or null
    • lastUsedAt
      optional
      string
      or null
      format: date-time
    • expiresAt
      optional
      string
      or null
      format: date-time
    • capabilities
      optional
      array of
      entities.ingest
      or
      entities.enrich
      or
      entities.profile.read
      or
      entities.profile.propose
      or
      entities.profile.review
      or
      entities.identity.resolve
      +13 more
      default: []
    • rateLimit
      optional
      number
      or null
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close